### Method

# Rest ParamsIter next

#### Declaration [src]

    gboolean
    rest_params_iter_next (
      RestParamsIter* iter,
      const char** name,
      RestParam** param
    )

#### Description [src]

Advances `iter` and retrieves the name and/or parameter that are now pointed at as a result of this advancement. If FALSE is returned, `name` and `param` are not set and the iterator becomes invalid.

#### Parameters

`name`

  Type: `const char**`

  A location to store the name, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`param`

  Type: `RestParam`

  A location to store the `RestParam`, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `gboolean`

`FALSE` if the end of the `RestParams` has been reached, `TRUE` otherwise.